Loading...
Searching...
No Matches
iclient_persistence.h File Reference
`#include <vector>`
`#include "MQTTAsync.h"`
`#include "mqtt/buffer_view.h"`
`#include "mqtt/string_collection.h"`
`#include "mqtt/types.h"`

Go to the source code of this file.

## Data Structures

class | mqtt::iclient_persistence

## Namespaces

namespace | mqtt

## Typedefs

using | mqtt::iclient_persistence_ptr = iclient_persistence::ptr_t
using | mqtt::const_iclient_persistence_ptr = iclient_persistence::const_ptr_t

## Functions

void * | mqtt::persistence_malloc (size_t n)
void | mqtt::persistence_free (void *p)

## Detailed Description

Declaration of MQTT iclient_persistence interface

Date
  May 1, 2013

Author
  Frank Pagliughi